UpdateApplicationPriorityResponse (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords, class: UpdateApplicationPriorityResponse

Package org.apache.hadoop.yarn.api.protocolrecords

# Class UpdateApplicationPriorityResponse

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.UpdateApplicationPriorityResponse

@Public @Unstable public abstract class UpdateApplicationPriorityResponse extends Object

The response sent by the `ResourceManager` to the client on update the application priority.

A response without exception means that the move has completed successfully.

See Also:
  - `ApplicationClientProtocol.updateApplicationPriority(UpdateApplicationPriorityRequest)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateApplicationPriorityResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract Priority`
  `getApplicationPriority()`
  Get the `Priority` of the application to be set.
  `static UpdateApplicationPriorityResponse`
  `newInstance(Priority priority)`
  `abstract void`
  `setApplicationPriority(Priority priority)`
  Set the `Priority` of the application.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UpdateApplicationPriorityResponse

    public UpdateApplicationPriorityResponse()

- ## Method Details

  - ### newInstance

    public static UpdateApplicationPriorityResponse newInstance(Priority priority)

  - ### getApplicationPriority

    public abstract Priority getApplicationPriority()
    Get the `Priority` of the application to be set.
    Returns:
      Updated `Priority` of the application.

  - ### setApplicationPriority

    public abstract void setApplicationPriority(Priority priority)
    Set the `Priority` of the application.
    Parameters:
      `priority` - `Priority` of the application